<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

class plgJshoppingProductsFree_shipping_text extends JPlugin {

	
	function __construct(&$subject, $config){
		parent::__construct($subject, $config);  
	}
	
	public function onBeforeDisplayProductView(&$view){
        $jshopConfig = JSFactory::getConfig();
        if ($jshopConfig->summ_null_shipping > 0 && $this->params->get('product', 1)){
            $this->loadLanguage();
            $price = $view->product->getPriceCalculate();
            if ($price >= ($jshopConfig->summ_null_shipping * $jshopConfig->currency_value)){
                $view->product->_tmp_var_price_ext .=
                    '<span class="free_shipping"><span>+</span> '.JText::_("PLG_FREE_SHIPPING").'</span>';
            }
        }
    }

    public function onBeforeDisplayAjaxAttribRows(&$rows, &$model){
        $jshopConfig = JSFactory::getConfig();
        if ($jshopConfig->summ_null_shipping > 0 && $this->params->get('product', 1)){
            $this->loadLanguage();
            $price = $rows['pricefloat'];
            if ($price >= ($jshopConfig->summ_null_shipping * $jshopConfig->currency_value)){
                $rows['price'] .=
                    ' <span class="free_shipping"><span>+</span> '.JText::_("PLG_FREE_SHIPPING").'</span>';
            }
        }
    }

    public function onBeforeDisplayProductListView(&$view){
        $jshopConfig = JSFactory::getConfig();
        if ($jshopConfig->summ_null_shipping > 0 && $this->params->get('product_list', 1)){
            $this->loadLanguage();
            foreach($view->rows as $k=>$v){
                if ($v->product_price >= ($jshopConfig->summ_null_shipping * $jshopConfig->currency_value)){
                    $view->rows[$k]->_tmp_var_price_ext .=
                        ' <span class="free_shipping"><span>+</span> '.JText::_("PLG_FREE_SHIPPING").'</span>';
                }
            }
        }
    }
	
}